#
# spec file for package ckermit
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ckermit
Version:        9.0.302
Release:        lp150.1.7
Summary:        A Combined Serial and Network Communication Software Package
License:        BSD-3-Clause
Group:          Hardware/Modem
Url:            http://www.kermitproject.org/
Source0:        ftp://ftp.kermitproject.org/kermit/archives/cku302.tar.gz
Patch0:         decl-definition-conflict.patch
BuildRequires:  ncurses-devel
Provides:       kermit
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?fedora_version} || 0%{?rhel_version}
BuildRequires:  zsh
%else
BuildRequires:  termcap
%endif
%if 0%{?suse_version} >= 1130 || 0%{?fedora_version} || 0%{?mandriva_version}
BuildRequires:  lockdev-devel
%endif

%description
C-Kermit is a combined serial and network communication software
package offering a consistent, medium-independent, and cross-platform
approach to connection establishment, terminal sessions, file transfer,
character-set translation, and automation of communication tasks.

%package doc
Summary:        Documentation for CKermit
Group:          Documentation/Howto
%if !0%{?sles_version}
BuildArch:      noarch
%endif

%description doc
This package contains the documentation and manual pages for ckermit

%prep
%setup -q -c
%patch0 -p1

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="$CFLAGS"
make %{?_smp_mflags} linux

%install
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_mandir}/man1
install -m 755 wermit %{buildroot}%{_bindir}/kermit
install -m 644 ckuker.nr %{buildroot}%{_mandir}/man1/kermit.1
cd %{buildroot}%{_mandir}/man1
ln -s kermit.1 ckermit.1

%files
%defattr(-,root,root)
%doc COPYING.TXT
%{_mandir}/man1/*
%{_bindir}/*

%files doc
%defattr(-,root,root)
%doc *.txt

%changelog
* Sat Mar 28 2015 mpluskal@suse.com
- Use url for source
- Cleanup spec-file with spec-cleaner
* Mon Aug 18 2014 meissner@suse.com
- does not seem to require openssl development.
* Wed Feb 12 2014 schwab@suse.de
- decl-definition-conflict.patch: Fix conflicting declarations
* Wed Oct 10 2012 joop.boonen@opensuse.org
- Don't build noarch doc for sles as otherwise all
  packages will be build as noarch for sles
* Sat Jan  7 2012 joop.boonen@opensuse.org
- Corrected the Url as the project is now hosted on
  http://www.kermitproject.org/
* Sat Jan  7 2012 joop.boonen@opensuse.org
- Created a separate doc package
* Sat Jan  7 2012 joop.boonen@opensuse.org
- Reformated the ckermit spec file
  to meet the openSUSE standards
* Mon Sep 12 2011 joop.boonen@opensuse.org
- Build version 9.0.302
* Mon Aug  8 2011 joop.boonen@opensuse.org
- Build version 9.0.301
* Wed May  4 2011 joop.boonen@opensuse.org
- put pre 9.0 version in contrib
* Sun Oct 17 2010 joop.boonen@opensuse.org
- build version 9.0.299 Alpha.09
* Tue Aug 24 2010 joop.boonen@opensuse.org
- build version 9.0.299 Alpha.08
* Sun Jul 25 2010 joop.boonen@opensuse.org
- added a lockdev patch
* Sun Apr 25 2010 joop.boonen@opensuse.org
- Build version 9.0.299 Alpha.06
* Sat Feb 13 2010 joop.boonen@opensuse.org
- Build version 9.0.299 Alpha.02
* Tue Jan 26 2010 joop.boonen@opensuse.org
- Build version 9.0.299 Alpha.01
* Mon Oct 19 2009 joop.boonen@opensuse.org
- build version 8.0.212 pre version
* Wed Dec  5 2007 ro@suse.de
- move /etc/skel/.kermrc to this package
* Fri Mar 30 2007 rguenther@suse.de
- add ncurses-devel BuildRequires
* Thu Dec 14 2006 prusnak@suse.cz
- fixed 3rd argument in strncat functions
* Thu Nov 30 2006 prusnak@suse.cz
- fixed comparison with string literal (string_comparison.diff) [#224842]
* Mon Feb 27 2006 anicka@suse.cz
- fix uninitialized variable (#152938)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 mjancar@suse.cz
- add format attribute to custom ckermit printf prototype (#138978)
* Fri Jan 20 2006 mjancar@suse.cz
- fix short argument list for format (#138978)
* Thu Oct 13 2005 ro@suse.de
- rename EM to _EM (seems unused anyway)
* Fri Aug  6 2004 mjancar@suse.cz
- update to 8.0.211
* Tue Apr 20 2004 mjancar@suse.cz
- add return to nonvoid functions
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Wed Apr 23 2003 vbobek@suse.cz
- updated to new version 8.0.209
  * built-in ftp client
  * built-in http 1.1 client
  * includes interface for external SSH program
  * many new modem types added
  * automatic text/binary mode switching
  * proxy support
  * scripting improvements
  * bug fixes
- compiled with openssl+shadow passwords support
- fixed paths for termcap
- removed obsolete fix for 64bit-architectures (use %%_libdir in specfile
  instead)
- fixed problematic cast warning on x86_64 (missing_includes.patch)
* Fri Feb 14 2003 vbobek@suse.cz
- used $RPM_OPT_FLAGS
- removed obsolete -mminimal-toc which is already included in $RPM_OPT_FLAGS
  for ppc64 now [#23266]
* Tue Dec  3 2002 jderfina@suse.cz
- upgrade to version 8.0.206
- single patch splited to two more readable patches.
* Sun Dec  1 2002 ro@suse.de
- include errno.h where needed
* Mon Jul  1 2002 olh@suse.de
- hack to build with -mminimal-toc on ppc64
* Tue May 28 2002 ro@suse.de
- fixed for lib64 platforms
* Wed Feb  6 2002 pmladek@suse.cz
- updated to version 8.0.200:
  * a new built-in FTP client
  * a new HTTP 1.1 client
  * telnet Com Port Option for dialing from Telnet modem servers
  * file scanning for automatic text/binary determination
  * learned scripts
  * LISP-like S-Expressions and natural floating-point arithmetic
  * lots of script programming improvements
  * performance improvements and bug fixes
- fixed warnings on ia64
- disabled HAVE_PTMX test because makefile don't detect this correctly
* Wed May 16 2001 pmladek@suse.cz
- fixed cast warnings on ia64
* Mon Apr 23 2001 pmladek@suse.cz
- fixed conversions int <-> pointer on ia64
* Thu Feb  8 2001 cihlar@suse.cz
- fixed to compile
* Mon Oct 30 2000 cihlar@suse.cz
- bzipped sources
- fixed file list
* Mon Mar 13 2000 grimmer@suse.de
- now uses BUILD_ROOT for package building
* Fri Mar 10 2000 grimmer@suse.de
- initial version (7.0.197)
- added patch to correct location of docs (/usr/doc -> /usr/doc/packages)
